Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventDND Class Reference

A GdkEventDND C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventDND:

List of all members.

## Public Member Functions

Accessors

- GdkEventDND * gdk_event_dnd () const
    Get a pointer to the GdkEventDND structure.
- DragContext * context () const
    Returns the Gdk::DragContext for the current DND operation.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- short x_root () const
    Returns the X coordinate of the pointer relative to the root of the screen, only set for DRAG_MOTION and DROP_START.
- short y_root () const
    Returns the Y coordinate of the pointer relative to the root of the screen, only set for DRAG_MOTION and DROP_START.

## Detailed Description

A GdkEventDND C++ wrapper class.

An EventDND is generated during drag-and-drop operations.

The event type will be one of DRAG_ENTER, DRAG_LEAVE, DRAG_MOTION, DRAG_STATUS, DROP_START or DROP_FINISHED.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer